Subject: bug#2913 closed by Michael Albinus <[email-masked]> (Re: bug#2912: 23.0.92; Ediff over TRAMP too slow)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 07 Apr 2009 15:20:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2912: 23.0.92; Ediff over TRAMP too slow

It has been closed by Michael Albinus <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael Albinus <[email-masked]> by
replying to this email.

-- 
2912: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2912
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2912: 23.0.92; Ediff over TRAMP too slow
From: Michael Albinus <[email-masked]>
To: David Abrahams <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Apr 2009 17:14:42 +0200

David Abrahams <[email-masked]> writes:

> Wow, you're right!  Ediff'ing files not under vc control is very snappy!
> OK, this is weird: now I can't reproduce the problem even for files
> under version control.
>
> I'll let you know if I find out anything more, but I guess we can
> ignore this one for now.

OK, I've closed the bug. If you find something else in this area, it
might be worth a new bug report.

Maybe one could think about enabling/disabling vc on the fly for remote
files, but I have no real use case yet how it shall go.

> Thanks,

Best regards, Michael.

Subject: 23.0.92; Ediff over TRAMP too slow
From: David Abrahams <[email-masked]>
To: [email-masked]
Date: Mon, 06 Apr 2009 20:43:37 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Ediff two remote files using /ssh:... protocol

It seems to go over the network for everything.  At first I thought it
was the auto-refining, but I turned that off and it didn't seem to make
any difference in speed.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-04-06 on black.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: BSDmakefile

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  server-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
- r e v i <tab> <return> <return> <return> C-b C-e 
<return> SPC SPC SPC SPC SPC SPC C-x C-n C-x C-f <M-backspace> 
<M-backspace> <M-backspace> <backspace> <return> C-n 
C-p C-. C-. C-. C-, C-b C-SPC C-e M-w C-x C-f C-a C-. 
C-. C-, C-. C-SPC C-e p r o . c o m : . d o v e c o 
t . s i e <tab> <return> C-n C-n C-n C-n C-p C-p C-p 
C-p C-s a m a z o n C-, C-, C-, C-, C-, C-, C-, C-n 
C-n C-e C-, C-, C-, C-, C-, C-. C-. C-. C-, C-, C-, 
C-, C-, C-p C-p C-n C-n C-n C-, C-, C-, C-, C-, C-. 
C-e C-, C-, C-, C-, C-, C-p C-x C-f . d o <tab> s i 
<tab> . <tab> C-g C-n C-n C-p C-p <down-mouse-1> <mouse-1> 
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> C-, 
C-, C-, C-, C-, C-b C-s C-w C-s C-s C-r C-n C-p C-p 
C-n C-r C-r C-r C-r C-r C-. C-. C-, C-b C-SPC C-, C-b 
<backspace> C-n C-n C-n C-n C-n C-n C-p C-. C-. C-. 
C-, C-b <M-backspace> <backspace> C-n C-n C-n C-n C-. 
C-. C-, C-b <M-backspace> <backspace> C-x C-s C-x C-n 
C-x C-n C-x C-p C-x C-p C-x C-k C-x C-n C-n C-n C-p 
C-p C-x C-n C-x C-g C-x C-g C-x C-b C-x C-b C-x C-p 
C-x C-b C-x C-b C-x C-b C-n C-n C-n C-n C-x b * E d 
i <tab> C <tab> <return> | | <M-S-down> <M-S-down> 
C-g C-g C-a C-n SPC C-a C-e C-a C-e C-n C-b C-b C-b 
C-b C-b SPC p p ? @ p ? C-n C-p C-n C-, C-, C-, C-, 
C-. C-. C-, q y M-x r e p o r t e <backspace> - e m 
<tab> <return>

Recent messages:
Mark saved where search started [2 times]
Mark set
Saving file /ssh:boostpro.com:/home/dave/.dovecot.sieve...
Wrote /ssh:boostpro.com:/home/dave/.dovecot.sieve
Entering debugger...
Quit [2 times]
ediff-next-difference: At end of the difference list
Auto-refining is OFF
Region 4 in buffer A is empty [2 times]
Quit this Ediff session? (y or n) 

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com